#include <bits/stdc++.h>

/*
#pragma GCC target ("avx2")
#pragma GCC optimization ("O3")
#pragma GCC optimization ("unroll-loops")
*/
#define ios ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define rep(i,l,r) for (int i=l;i<=r;i++)
#define fi first
#define se second
#define pb push_back
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define ll long long
#define ull unsigned long long
#define mod 1000000007
#define nul(x) memset((x),0,sizeof((x)))
#define random_jbt mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

using namespace std;

int main(){
    ios;

    ll n,r=1,d[3]={1,2,5};
    int ans=0;
    vector<ll>v;

    cin>>n;

    for (int i=0;i<=18;i++){
        for (int j=0;j<3;j++){
            if (i==18 and j==2)continue;
            v.pb(d[j]*r);
        }
        r*=10;
    }
    reverse(all(v));

    for (auto i:v){
        if(i<=n){
            ans += n/i;
            n%=i;
        }
    }
    cout<<ans;
    return 0;
}